(function () {
    'use strict';

    angular
        .module('editorRotas')
        .factory('gridService', gridService);

        gridService.$inject = ['Server'];

    function gridService(Server) {
        /* Consultas */
        function ConsultaGrid(obj) {
            var action = 'EditorRotas/CarregarSetoresUsuario?skip=' + obj.Skip + '&take=' + obj.Take + '&colOrdenada=' + obj.ColOrdenada + '&revertSort=' + obj.RevertSort;
            return Server.get(action, null);
        }
        
        return {
            ConsultaGrid: ConsultaGrid,
        }
    }
})();
